------------------------------------------------------------------------
r36116 | gerald | 2011-03-01 14:22:20 -0800 (Tue, 01 Mar 2011) | 2 lines
Changed paths:
   M /trunk-1.4/config.nmake
   M /trunk-1.4/configure.in
   M /trunk-1.4/debian/changelog
   M /trunk-1.4/docbook/release-notes.xml
   M /trunk-1.4/version.conf

1.4.4 → 1.4.5.

------------------------------------------------------------------------
r36145 | gerald | 2011-03-06 09:04:40 -0800 (Sun, 06 Mar 2011) | 1 line
Changed paths:
   M /trunk-1.4/epan/enterprise-numbers
   M /trunk-1.4/manuf
   M /trunk-1.4/services

[Automatic manuf, services and enterprise-numbers update for 2011-03-06]
------------------------------------------------------------------------
r36184 | gerald | 2011-03-13 09:04:34 -0700 (Sun, 13 Mar 2011) | 1 line
Changed paths:
   M /trunk-1.4/epan/enterprise-numbers
   M /trunk-1.4/manuf
   M /trunk-1.4/services

[Automatic manuf, services and enterprise-numbers update for 2011-03-13]
------------------------------------------------------------------------
r36189 | wmeier | 2011-03-14 08:28:57 -0700 (Mon, 14 Mar 2011) | 2 lines
Changed paths:
   M /trunk-1.4/docbook/release-notes.xml

Clear out old items ...

------------------------------------------------------------------------
r36191 | wmeier | 2011-03-14 09:19:41 -0700 (Mon, 14 Mar 2011) | 15 lines
Changed paths:
   M /trunk-1.4/docbook/release-notes.xml
   M /trunk-1.4/gtk/new_packet_list.c
   M /trunk-1.4/gtk/packet_list_store.c
   M /trunk-1.4/gtk/packet_list_store.h

Copy over r36180 manually:

------------------------------------------------------------------------
r36180 | wmeier | 2011-03-12 14:02:24 -0500 (Sat, 12 Mar 2011) | 7 lines

Fix bug #5189: Wireshark crashes when cancelling a large sort operation.
Essentially: Don't try to sort if the pre-requisite "columnization" step is stopped
             via the progressbar dialog window before the step completes.
Also: Fix a (very) minor bug wherein the sort-indicator not always cleared on the
      "previous column" when "No Sorting" was selected from a column context menu.
Also: Do minor code, comments & whitespace cleanup.
------------------------------------------------------------------------

Update release notes.

------------------------------------------------------------------------
r36192 | wmeier | 2011-03-14 09:49:01 -0700 (Mon, 14 Mar 2011) | 20 lines
Changed paths:
   M /trunk-1.4/docbook/release-notes.xml
   M /trunk-1.4/tools/win-setup.sh

Copy over r35788 from trunk:

------------------------------------------------------------------------
r35788 | wmeier | 2011-02-03 14:33:48 -0500 (Thu, 03 Feb 2011) | 12 lines

Fix: Cygwin make fails after updating to bash v 4.1.9.2

Extracts from the cygwin Bash 4.1.9.2 release announcement:

4a. For a single affected script, add this line just after the she-bang:
 (set -o igncr) 2>/dev/null && set -o igncr; # comment is needed

4e. bash-4.1.9-1 dropped support for 'shopt -s igncr';

I'm assuming this is backwards compatible; If not, we'll know quite shortly :)
------------------------------------------------------------------------

Update release notes


------------------------------------------------------------------------
r36217 | gerald | 2011-03-20 09:04:43 -0700 (Sun, 20 Mar 2011) | 1 line
Changed paths:
   M /trunk-1.4/epan/enterprise-numbers
   M /trunk-1.4/manuf
   M /trunk-1.4/services

[Automatic manuf, services and enterprise-numbers update for 2011-03-20]
------------------------------------------------------------------------
r36371 | gerald | 2011-03-27 09:04:28 -0700 (Sun, 27 Mar 2011) | 1 line
Changed paths:
   M /trunk-1.4/epan/enterprise-numbers
   M /trunk-1.4/manuf
   M /trunk-1.4/services

[Automatic manuf, services and enterprise-numbers update for 2011-03-27]
------------------------------------------------------------------------
r36438 | gerald | 2011-04-03 09:04:45 -0700 (Sun, 03 Apr 2011) | 1 line
Changed paths:
   M /trunk-1.4/epan/enterprise-numbers
   M /trunk-1.4/manuf
   M /trunk-1.4/services

[Automatic manuf, services and enterprise-numbers update for 2011-04-03]
------------------------------------------------------------------------
r36535 | gerald | 2011-04-10 09:04:37 -0700 (Sun, 10 Apr 2011) | 1 line
Changed paths:
   M /trunk-1.4/epan/enterprise-numbers
   M /trunk-1.4/manuf
   M /trunk-1.4/services

[Automatic manuf, services and enterprise-numbers update for 2011-04-10]
------------------------------------------------------------------------
r36570 | gerald | 2011-04-11 16:18:27 -0700 (Mon, 11 Apr 2011) | 20 lines
Changed paths:
   M /trunk-1.4/docbook/release-notes.xml
   M /trunk-1.4/epan/dissectors/packet-nfs.c

Copy over r34115 from the trunk:

------------------------------------------------------------------------
r34115 | gerald | 2010-09-14 08:43:19 -0700 (Tue, 14 Sep 2010) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

From Cal Turney via bug 5209:

Decode of SETCLIENTID calls in the Windows x86 version fail with "[Dissector
bug, protocol NFS: STATUS_ACCESS_VIOLATION: dissector accessed an invalid
memory address]".  This error occurs in packet-nfs.c in
dissect_nfs_clientaddr4() where vars 'protocol' and 'universal_ip_address' get
stepped on following the call to scanf().  The b1-b10 vars are declared as
quint8.  While "hh" modifier used in the scanf() is documented in Linux to
correspond to an a signed/unsigned char arg, I cannot find a similar
designation in Windows (MSDN). The Windows C compiler interprets %hhu as
corresponding to a int16 rather than int8.
------------------------------------------------------------------------

------------------------------------------------------------------------
r36571 | gerald | 2011-04-11 17:02:47 -0700 (Mon, 11 Apr 2011) | 117 lines
Changed paths:
   M /trunk-1.4/asn1/ldap/ldap.cnf
   M /trunk-1.4/capinfos.c
   M /trunk-1.4/docbook/check_svn_version.sh
   M /trunk-1.4/docbook/release-notes.xml
   M /trunk-1.4/epan/dissectors/packet-ldap.c
   M /trunk-1.4/epan/dissectors/packet-mysql.c
   M /trunk-1.4/epan/dissectors/packet-sflow.c
   M /trunk-1.4/epan/dissectors/packet-ssl-utils.c
   M /trunk-1.4/epan/dissectors/packet-tcp.c
   M /trunk-1.4/epan/libwireshark.def
   M /trunk-1.4/gtk/compare_stat.c
   M /trunk-1.4/pcapio.c
   M /trunk-1.4/tap-comparestat.c
   M /trunk-1.4/text2pcap.c
   M /trunk-1.4/wiretap/netscreen.c

Copy over revisions from the trunk:

------------------------------------------------------------------------
r36160 | cmaynard | 2011-03-07 13:58:30 -0800 (Mon, 07 Mar 2011) | 6 lines
Changed paths:
   M /trunk/tap-comparestat.c

Allow <interval> to be successfully sscanf'd no matter the locale for the
decimal symbol.  Similar to the fix made to tap-iostat.c to resolve bug 2880.

Motivated by the discussion started from this thread on the user list:
http://www.wireshark.org/lists/wireshark-users/201103/msg00018.html
------------------------------------------------------------------------
r36162 | sake | 2011-03-08 03:26:34 -0800 (Tue, 08 Mar 2011) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Fix for bug 5743 : tshark incorrectly calculates tcp stream for SYN packets when port numbers are re-used
------------------------------------------------------------------------
r36166 | cmaynard | 2011-03-08 06:57:38 -0800 (Tue, 08 Mar 2011) | 3 lines
Changed paths:
   M /trunk/gtk/compare_stat.c

Allow <variance> to be successfully sscanf'd no matter the locale for the
decimal symbol.  Same change and reason as for revision 36160.
------------------------------------------------------------------------
r36174 | wmeier | 2011-03-08 16:43:49 -0800 (Tue, 08 Mar 2011) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c

Check that imported private key is RSA; Prevents a crash.

Fixes Bug #5662

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5662
------------------------------------------------------------------------
r36177 | cmaynard | 2011-03-11 17:32:35 -0800 (Fri, 11 Mar 2011) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sflow.c

Handle PPP in HDLC framing.  Fixes bug 5746.
------------------------------------------------------------------------
r36178 | sfisher | 2011-03-11 18:06:25 -0800 (Fri, 11 Mar 2011) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sflow.c

Improve r36177 per Guy's suggestion at bug #5746 to always call the
PPP-over-HDLC dissector since it will do the check for us to see if
the HDLC framing is present or not.
------------------------------------------------------------------------
r36226 | wmeier | 2011-03-21 10:07:18 -0700 (Mon, 21 Mar 2011) | 4 lines
Changed paths:
   M /trunk/pcapio.c

Don't close file handle if a file write error; (caller does the close)

Fixes "USE_AFTER_FREE" defect reported by Coverity Prevent.
------------------------------------------------------------------------
r36232 | sake | 2011-03-21 15:04:22 -0700 (Mon, 21 Mar 2011) | 3 lines
Changed paths:
   M /trunk/wiretap/netscreen.c

Fix for bug 5762, wireshark asserts on reading juniper snoop output when no hex data is present (snoop detail off).
------------------------------------------------------------------------
r36470 | etxrab | 2011-04-04 22:50:45 -0700 (Mon, 04 Apr 2011) | 3 lines
Changed paths:
   M /trunk/capinfos.c

From Jose Pedro Oliveira:
#ifdef HAVE_LIBGCRYPT block includes a line too many.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5803
------------------------------------------------------------------------
r36471 | tuexen | 2011-04-05 07:28:33 -0700 (Tue, 05 Apr 2011) | 3 lines
Changed paths:
   M /trunk/text2pcap.c

Fix a typo in the help message.
Reported by Matthias Wellmeyer.
------------------------------------------------------------------------
r36498 | sfisher | 2011-04-06 09:34:45 -0700 (Wed, 06 Apr 2011) | 5 lines
Changed paths:
   M /trunk/docbook/check_svn_version.sh

From Peter via bug #5798: Don't try to run svnversion if it isn't
executable.
------------------------------------------------------------------------
r36554 | cmaynard | 2011-04-11 06:44:31 -0700 (Mon, 11 Apr 2011) | 2 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Add proto_field_is_referenced.  Fixes bug 5816.
------------------------------------------------------------------------


Copy over with manual intervenion:

------------------------------------------------------------------------
r36190 | gerald | 2011-03-14 09:00:51 -0700 (Mon, 14 Mar 2011) | 2 lines
Changed paths:
   M /trunk/asn1/ldap/ldap.cnf
   M /trunk/epan/dissectors/packet-ldap.c

Properly initialize our filter counters.
------------------------------------------------------------------------
r36330 | morriss | 2011-03-25 08:45:37 -0700 (Fri, 25 Mar 2011) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Fix the problem reported in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3785#c14 :

If we thought we finished reassembly (and called the subdissector) only to find
out that the subdissector asked for more data, handle the case where the
subdissector asked for DESEGMENT_UNTIL_FIN.  Previously we only handled the
possibility that the subdissector would ask for a specific number of bytes or
DESEGMENT_ONE_MORE_SEGMENT.
------------------------------------------------------------------------

------------------------------------------------------------------------
r36572 | gerald | 2011-04-11 17:10:16 -0700 (Mon, 11 Apr 2011) | 15 lines
Changed paths:
   M /trunk-1.4/Makefile.nmake
   M /trunk-1.4/config.nmake
   M /trunk-1.4/packaging/nsis/wireshark.nsi
   M /trunk-1.4/tools/win32-setup.sh
   M /trunk-1.4/tools/win64-setup.sh

Copy over r36483 by hand.

------------------------------------------------------------------------
r36483 | gerald | 2011-04-05 15:38:12 -0700 (Tue, 05 Apr 2011) | 3 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/tools/win32-setup.sh
   M /trunk/tools/win64-setup.sh

Use the latest library tag, which updates GNUTLS. Add code to check for
libintl-8.dll and add the GNUTLS version if needed.
------------------------------------------------------------------------

------------------------------------------------------------------------
r36573 | gerald | 2011-04-11 17:35:22 -0700 (Mon, 11 Apr 2011) | 2 lines
Changed paths:
   M /trunk-1.4/docbook/release-notes.xml

Add our updated protocols.

------------------------------------------------------------------------
r36612 | gerald | 2011-04-12 14:21:31 -0700 (Tue, 12 Apr 2011) | 18 lines
Changed paths:
   M /trunk-1.4/asn1/x509if/packet-x509if-template.c
   M /trunk-1.4/asn1/x509if/x509if.cnf
   M /trunk-1.4/docbook/release-notes.xml
   M /trunk-1.4/epan/dissectors/packet-x509if.c

Copy over r36608 from the trunk:

------------------------------------------------------------------------
r36608 | gerald | 2011-04-12 13:39:48 -0700 (Tue, 12 Apr 2011) | 5 lines
Changed paths:
   M /trunk/asn1/x509if/packet-x509if-template.c
   M /trunk/asn1/x509if/x509if.cnf
   M /trunk/epan/dissectors/packet-x509if.c
   M /trunk/epan/dissectors/packet-x509if.h

Add x509if_frame_end() which is passed to register_frame_end_routine()
and which resets our global variables. Remove a boolean which was used
to track a char *; just check if the pointer is NULL instead. Fixes bugs
5754 and 5793, hopefully without breaking anything.
------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r36644 | gerald | 2011-04-14 10:17:08 -0700 (Thu, 14 Apr 2011) | 6 lines
Changed paths:
   M /trunk-1.4/docbook/release-notes.xml
   M /trunk-1.4/epan/dissectors/packet-dect.c

From Paul Makowski of SEI/CERT:

Fix a buffer overflow in the DECT dissector.

From me: Update the release notes.

------------------------------------------------------------------------
r36645 | gerald | 2011-04-14 11:07:36 -0700 (Thu, 14 Apr 2011) | 19 lines
Changed paths:
   M /trunk-1.4/docbook/release-notes.xml
   M /trunk-1.4/epan/dissectors/packet-3g-a11.c
   M /trunk-1.4/epan/dissectors/packet-tcp.c

Copy over with manual intervention:

------------------------------------------------------------------------
r36629 | cmaynard | 2011-04-13 11:15:41 -0700 (Wed, 13 Apr 2011) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Allow TCP segment data to be filterable via "tcp.data".
------------------------------------------------------------------------
r36642 | cmaynard | 2011-04-14 06:58:40 -0700 (Thu, 14 Apr 2011) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-3g-a11.c

Revert r24047.  Fixes bug 5822.
------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r36646 | gerald | 2011-04-14 14:26:25 -0700 (Thu, 14 Apr 2011) | 20 lines
Changed paths:
   M /trunk-1.4/docbook/release-notes.xml
   M /trunk-1.4/gtk/export_object.c

Copy over revisions from the trunk:

------------------------------------------------------------------------
r34805 | cmaynard | 2010-11-08 08:53:11 -0800 (Mon, 08 Nov 2010) | 4 lines
Changed paths:
   M /trunk/gtk/export_object.c

Allow objects to be saved that otherwise couldn't be due to invalid characters
in the filename, excessive filename lengths or duplicate filenames.  Fixes
bug 1671.
------------------------------------------------------------------------
r34808 | cmaynard | 2010-11-08 09:53:13 -0800 (Mon, 08 Nov 2010) | 2 lines
Changed paths:
   M /trunk/gtk/export_object.c

Make maxlen a gsize instead of a guint.
------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
